Index: [Article Count Order] [Thread]

Date:  Tue, 25 May 2004 15:31:27 +0900
From:  "ueno" <ueno (at mark) take-i.co.jp>
Subject:  [coba-o:00611] はじめまして&早速質問?
To:  <coba-o (at mark) open.cobaltqube.org>
Message-Id:  <200405250610.i4P6AGA29757 (at mark) mars.take-i.co.jp>
X-Mail-Count: 00611

皆様、はじめまして。

上野といいます。



リナックス超初心者…なのですが、

BlueQuartzに興味があり、インストールして遊ぼう?かなと思っているモノです。





インストール終了して、今の所問題ないのですが、

PHP、PostgreSqlを使ったアプリケーション開発もやってみようと思い。。。

初心者のクセに、手を出してしまった私が愚か者なのですが、もしアドバイスを

頂ければ…幸いです。(ホントに勝手ですが)



====

最初からインストールされているPHP&Postgresqlを使用するのはシステム上

危険?というような事を聞いたことがありまして。

適当な新ユーザーを作り、そのユーザー権限でPostgresqlをインストール。

(Postgresqlは、インストール成功)



既存のPHPをアンインストールして、今インストールしたPostgresqlを関連づけて
(configure時に

-with-pgsql=パスとしただけなのですが…)、PHPを再インストール。



しようとしたのですが…configure時にエラーが!

configureのオプションで-with-apxs=パス とした(どっかのPHPインストール・
ホームページ参照)のですが、apxsというコマンドが見つからないと言われ、findコ
マンドで探してみても見つからない…

ApacheをDSOモジュール版でインストールしてないんじゃないの?ということは、
Apacheも再インストールしなければならないのでしょうか?



でも、さすがにApahceの再インストールはマズイのでは…などなど困惑しておりま
す。



ただ単に-with-apxsオプションを付けずに.configureしてしまえば良いのでしょうか
…。



良きアドバイスが、ございましたら、よろしくお願いいたします。




	

611_2.html (attatchment)